%define major 5
%define libname %mklibname tiff %{major}
%define develname %mklibname tiff -d
%define staticdevelname %mklibname tiff -d -s

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	4.0.3
%define subrel	3
Release:	%mkrel 4
License:	BSD-like
Group:		System/Libraries
URL:		http://www.remotesensing.org/libtiff/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
Patch0:		tiff-4.0.3-raw-decode-test.diff
Patch1:		tiff-4.0.3-CVE-2012-4564.diff
Patch2:		tiff-4.0.3-CVE-2013-1960.diff
Patch3:		tiff-4.0.3-CVE-2013-1961.diff
Patch4:		tiff-4.0.3-CVE-2013-4231.diff
Patch5:		tiff-4.0.3-CVE-2013-4232.diff
Patch6:		tiff-4.0.3-CVE-2013-4244.diff
Patch7:		tiff-4.0.3-CVE-2013-4243.diff
BuildRequires:	jbig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	freeglut-devel
BuildRequires:	zlib-devel
BuildRequires:	lzma-devel

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics/Utilities
Requires:	%{libname} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name} < %{version}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d}

%description -n	%{develname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{staticdevelname}
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d -s}

%description -n	%{staticdevelname}
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep
%setup -q -n tiff-%{version}
%patch0 -p0 -b .jpeg-turbo
%patch1 -p0 -b .CVE-2012-4564
%patch2 -p1 -b .CVE-2013-1960
%patch3 -p1 -b .CVE-2013-1961
%patch4 -p1 -b .CVE-2013-4231
%patch5 -p1 -b .CVE-2013-4232
%patch6 -p1 -b .CVE-2013-4244
%patch7 -p0 -b .CVE-2013-4243

%build
%configure2_5x --enable-static --with-docdir=%{_datadir}/doc/%{develname} --enable-ld-version-script
%make

%check
LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH make check

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

%files progs
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/doc/%{develname}
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n %{staticdevelname}
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a


%changelog
* Tue Sep 24 2013 luigiwalser <luigiwalser> 4.0.3-4.3.mga3
+ Revision: 485466
- add patch from debian to fix CVE-2013-4244
- add patches from fedora to fix CVE-2013-4231 and CVE-2013-4232

* Fri May 03 2013 luigiwalser <luigiwalser> 4.0.3-4.mga3
+ Revision: 412150
- add patches from fedora to fix CVE-2013-1960 and CVE-2013-1961

* Sat Jan 12 2013 umeabot <umeabot> 4.0.3-3.mga3
+ Revision: 358249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Thu Nov 15 2012 luigiwalser <luigiwalser> 4.0.3-2.mga3
+ Revision: 318232
- add patch from redhat to fix CVE-2012-4564

* Tue Oct 23 2012 luigiwalser <luigiwalser> 4.0.3-1.mga3
+ Revision: 309517
- 4.0.3
- patch raw_decode test to work with libjpeg-turbo

* Tue Oct 23 2012 luigiwalser <luigiwalser> 4.0.2-3.mga3
+ Revision: 309490
- revert to 4.0.2
- add patch from debian to fix CVE-2012-4447
- 4.0.3

  + fwang <fwang>
    - use ld_library_path

* Thu Jul 19 2012 luigiwalser <luigiwalser> 4.0.2-2.mga3
+ Revision: 272692
- fix CVE-2012-3401 (from RedHat)

* Tue Jul 03 2012 luigiwalser <luigiwalser> 4.0.2-1.mga3
+ Revision: 267040
- 4.0.2 (fixes CVE-2012-2113)

* Thu Apr 05 2012 luigiwalser <luigiwalser> 4.0.1-2.mga2
+ Revision: 228674
- fix CVE-2012-1173 (from mdv)

* Sun Feb 19 2012 fwang <fwang> 4.0.1-1.mga2
+ Revision: 210744
- enable ld version script
- new version 4.0.1

* Thu Dec 22 2011 fwang <fwang> 4.0.0-1.mga2
+ Revision: 186081
- new version 4.0.0

* Fri Sep 23 2011 fwang <fwang> 3.9.5-1.mga2
+ Revision: 146947
- switch to freeglut

* Wed Apr 20 2011 pterjan <pterjan> 3.9.5-1.mga1
+ Revision: 88881
- Update to 3.9.5

* Tue Jan 11 2011 pterjan <pterjan> 3.9.4-3.mga1
+ Revision: 5548
- Drop obsolete scriptlets
- imported package libtiff

